APIReferenceCompanies
Enrich a company
Starts contact enrichment for one company via the organization's enrichment provider.
Starts contact enrichment for one company via the organization's enrichment provider.
Authorization
bearerAuth AuthorizationBearer <token>
A Supabase Auth user access token for the signed-in SignalDock user, sent as Authorization: Bearer <token>. Paste one from a signed-in session, or obtain one through the oauth2 scheme; the API accepts either.
In: header
Path Parameters
companyId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/companies/497f6eca-6276-4993-bfeb-53cbbbba6f08/enrich" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "77777777-7777-4777-8777-777777777777", "organization_id": "33333333-3333-4333-8333-333333333333", "name": "Gemeente Breda", "normalized_name": "string", "domain": "breda.nl", "kvk_number": "string", "address": "string", "website": "string", "generic_email": "user@example.com", "phone": "string", "enrichment_status": "idle", "country_code": "NL", "locale": "nl-NL", "recipient_kind": "legal_person", "legal_form": "string", "sbi_codes": [ "string" ], "created_at": "2026-09-15T12:00:00.000Z", "updated_at": "2026-09-15T12:00:00.000Z"}